complexType "FxFlexibleForwardRate"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 5 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | currency1?, currency2?, quoteBasis?, rate?, spotRate?
</...>

Content Model Elements (5):

  currency1 (defined in QuotedCurrencyPair complexType), currency2 (defined in QuotedCurrencyPair complexType), quoteBasis (defined in QuotedCurrencyPair complexType), | rate (in forwardRate), spotRate (in forwardRate)

All Direct / Indirect Based Elements (1):

  forwardRate

Known Usage Locations

- As direct type of elements (1):
  forwardRate

Type Definition Detail

Type Derivation Tree QuotedCurrencyPair (extension) FxFlexibleForwardRate

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FxFlexibleForwardRate"> <xsd:complexContent> <xsd:extension base="QuotedCurrencyPair"> <xsd:sequence> <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/> <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
rate

  Type: | PositiveDecimal, simple content

  Constant rate value, applicable for the duration of the execution period.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="rate" type="PositiveDecimal"/>

spotRate

  Type: | PositiveDecimal, simple content

  The spot exchange rate for the specified currency pair as per the specified quote basis, as at the trade date.
  Simple Content

  xsd:decimal

  minExclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spotRate" type="PositiveDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.